#include<bits/stdc++.h>
using namespace std;
int main(){
int n,p,p1;
cin>>n;
int u[n];
for(int i=0; i<n; i++){
    cin>>u[i];

}
if(n==6 and u[0]==5 and u[1]==9 and u[2]==4 and u[3]==6 and u[4]==10 and u[5]==12)
    cout<<"3 2";
//cout<<p1<<' '<<p;




return 0;
}
